// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "UIComponent.hpp"
#include "display/mesh/QuadMesh.hpp"

namespace Dawn {
  class UISprite : public UIComponent {
    protected:
      void updatePositions() override;

    public:
      Mesh mesh;

      UISprite(UICanvas &canvas);
      
      // void update() override;
      void drawSelf(UIShader &uiShader, glm::mat4 selfTransform) override;
  };
}